Ubuntu

Activity log for bug #981856

Date Who What changed Old value New value Message
2012-04-14 20:04:39 Chow Loong Jin bug added bug
2012-04-14 20:14:55 Chow Loong Jin bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=674115
2012-04-14 20:14:55 Chow Loong Jin bug task added glib-networking
2012-04-14 20:36:51 Chow Loong Jin attachment added glib-networking-debdiff.patch https://bugs.launchpad.net/glib-networking/+bug/981856/+attachment/3067614/+files/glib-networking-debdiff.patch
2012-04-14 20:36:55 Chow Loong Jin glib-networking (Ubuntu): status New Confirmed
2012-04-14 20:37:18 Chow Loong Jin bug added subscriber Ubuntu Sponsors Team
2012-04-14 21:36:15 Bug Watch Updater glib-networking: status Unknown New
2012-04-14 21:36:15 Bug Watch Updater glib-networking: importance Unknown Medium
2012-04-19 21:34:35 Bryce Harrington glib-networking (Ubuntu): status Confirmed Incomplete
2012-04-19 21:41:43 Bryce Harrington removed subscriber Ubuntu Sponsors Team
2012-04-23 23:57:02 Bug Watch Updater glib-networking: status New Fix Released
2012-04-24 01:33:28 Chow Loong Jin attachment added Updated debdiff https://bugs.launchpad.net/ubuntu/+source/glib-networking/+bug/981856/+attachment/3101066/+files/glib-networking-debdiff.patch
2012-04-24 01:33:57 Chow Loong Jin attachment removed glib-networking-debdiff.patch https://bugs.launchpad.net/ubuntu/+source/glib-networking/+bug/981856/+attachment/3067614/+files/glib-networking-debdiff.patch
2012-04-24 01:34:23 Chow Loong Jin glib-networking (Ubuntu): status Incomplete Confirmed
2012-04-24 01:34:49 Chow Loong Jin glib-networking (Ubuntu): milestone precise-updates
2012-04-24 01:35:03 Chow Loong Jin bug added subscriber Ubuntu Stable Release Updates Team
2012-04-24 01:35:14 Chow Loong Jin bug added subscriber Ubuntu Sponsors Team
2012-04-24 08:57:34 Chow Loong Jin description When using a local pac file via file:///path/to/pac-file.pac, glib-pacrunner falls back upon wpad://, thus using either a wrongly-obtained pac file via wpad, or not being able to find a pac file to run in the first place. This causes issues with Liferea's Webkit-based HTML-view, and probably a couple of other applications I haven't noticed as well. When using a local pac file via file:///path/to/pac-file.pac, glib-pacrunner falls back upon wpad://, thus using either a wrongly-obtained pac file via wpad, or not being able to find a pac file to run in the first place. This causes issues with Liferea's Webkit-based HTML-view, and probably a couple of other applications I haven't noticed as well. TEST CASE: 1. Open Liferea 2. Subscribe to the xkcd.com feed 3. Click on one of the feed items 4. Notice that an image is displayed. 5. Save the following as a .pac file, e.g. in /tmp/bug-981856.pac ---->8---- function FindProxyForURL(url, host) { return 'DIRECT'; } ----8<----- 6. Quit Liferea 7. Set proxy in GNOME to file:///tmp/bug-981856.pac 9. Open Liferea 10. Click on a previously unopened feed item (the image may be cached) 11. Observe if the image loads - With the bugfix in place, it should, but without, it doesn't.
2012-04-24 09:11:00 Daniel Holbach nominated for series Ubuntu Precise
2012-04-24 09:11:00 Daniel Holbach bug task added glib-networking (Ubuntu Precise)
2012-04-24 09:12:54 Daniel Holbach glib-networking (Ubuntu Precise): status Confirmed Fix Committed
2012-04-24 09:13:53 Daniel Holbach bug added subscriber Daniel Holbach
2012-04-24 09:13:59 Daniel Holbach removed subscriber Ubuntu Sponsors Team
2012-04-24 09:40:17 Martin Pitt bug added subscriber SRU Verification
2012-04-24 09:40:22 Martin Pitt tags verification-needed
2012-05-02 07:16:47 Jean-Baptiste Lallement tags verification-needed verification-done
2012-05-02 09:21:10 Launchpad Janitor glib-networking (Ubuntu): status Fix Committed Fix Released
2012-05-02 09:22:09 Launchpad Janitor glib-networking (Ubuntu Precise): status Fix Committed Fix Released
2012-06-29 19:48:27 Launchpad Janitor branch linked lp:ubuntu/glib-networking